//
//  MyDocument.m
//  DebtBGone
//
//  Created by Robert Ziefel on 7/27/05.
//  Copyright __MyCompanyName__ 2005 . All rights reserved.
//

#import "MyDocument.h"

@implementation MyDocument

- (id)init
{
    self = [super init];
    if (self) {
    
        // Add your subclass-specific initialization here.
        // If an error occurs here, send a [self release] message and return nil.
//		NSLog (@"myDocument");
    }
    return self;
}

- (NSString *)windowNibName
{
    // Override returning the nib file name of the document
    // If you need to use a subclass of NSWindowController or if your document supports multiple NSWindowControllers, you should remove this method and override -makeWindowControllers instead.
    return @"MyDocument";
}

- (void)windowControllerDidLoadNib:(NSWindowController *) aController
{
//	NSLog (@"windowControllerDidLoadNib");
    [super windowControllerDidLoadNib:aController];
    // Add any code here that needs to be executed once the windowController has loaded the document's window.
	[documentWindow setData: storageUntilWindowIsReady];
	[documentWindow makeKeyAndOrderFront: self];

}

- (NSData *)dataRepresentationOfType:(NSString *)aType
{
//	NSLog (@"Saving %@", [documentWindow theData]);
    // Insert code here to write your document from the given data.  You can also choose to override -fileWrapperRepresentationOfType: or -writeToFile:ofType: instead.
	if ([documentWindow theData] != nil)
        // this returns a "description" of the array, namely, what's in it, using ASCII
        return [[[documentWindow theData] description] dataUsingEncoding:NSASCIIStringEncoding];
	else
        return nil;
	
    // For applications targeted for Tiger or later systems, you should use the new Tiger API -dataOfType:error:.  In this case you can also choose to override -writeToURL:ofType:error:, -fileWrapperOfType:error:, or -writeToURL:ofType:forSaveOperation:originalContentsURL:error: instead.

    return nil;
}

- (BOOL)readFromFile:(NSString *)path ofType:(NSString *)type
{
//	NSLog (@"Read fromm file %@", path);
    // Insert code here to read your document from the given data.  You can also choose to override -loadFileWrapperRepresentation:ofType: or -readFromFile:ofType: instead.
	if (path != nil){
//		NSLog (@"reading");
        storageUntilWindowIsReady = [[NSMutableArray allocWithZone:[self zone]] initWithContentsOfFile:path];
		[storageUntilWindowIsReady retain];
//		NSLog (@"Read fromm file %@", [storageUntilWindowIsReady description]);
        // as I have saved it as xml code with "descrpition" above, I just create space for the array, and call initWith... to load it.
        return YES;
    }
    else
        return NO;
	
    // For applications targeted for Tiger or later systems, you should use the new Tiger API readFromData:ofType:error:.  In this case you can also choose to override -readFromURL:ofType:error: or -readFromFileWrapper:ofType:error: instead.
    
    return YES;
}

- (NSPrintOperation *)printOperationWithSettings:(NSDictionary *)printSettings error:(NSError **)outError
{
	
	return [NSPrintOperation printOperationWithView: [documentWindow viewToPrint] printInfo:[NSPrintInfo sharedPrintInfo]];
}
@end
