/* MyWindow */

#import <Cocoa/Cocoa.h>

@interface MyWindow : NSWindow
{
	IBOutlet NSWindow *amountHelpWindow;
	IBOutlet NSWindow *interestRateWindow;
	IBOutlet NSWindow *monthlyPaymentWindow;
	IBOutlet NSWindow *otherWindow;
	IBOutlet NSWindow *reportWindow;
	IBOutlet NSWindow *seedWindow;
	
	IBOutlet NSTextField *nameOfDebt;
	IBOutlet NSTextField *debtAmount;
	IBOutlet NSTextField *monthlyPayment;
	IBOutlet NSTextField *other;
	IBOutlet NSTextField *interestRate;
	IBOutlet NSTextField *seedAmount;
	
	IBOutlet NSTextView *finalResults;
	
	IBOutlet NSTableView *table;
	 
	NSMutableArray *dataArray; // I use this because it's perfect. Easy to save and load. The keys conform
                               // to the "Identifer" you see in IB if you click on the table headings.
                               // it's like a super linked list, I can get any element and can add as many as I want
	
}

- (IBAction)showDebtAmountWindowHelp:(id)sender;
- (IBAction)showInterestRateWindowHelp:(id)sender;
- (IBAction)showMonthlyPaymentWindowHelp:(id)sender;
- (IBAction)showOtherWindowHelp:(id)sender;
- (IBAction)showSeedMoneyWindowHelp:(id)sender;
- (IBAction)addLine:(id)sender;
- (IBAction)calulate:(id)sender;

- (id)initWithContentRect:(NSRect)contentRect styleMask:(unsigned int)styleMask backing:(NSBackingStoreType)backingType defer:(BOOL)flag;

    // these last three need to be here because in IB MyWindowController is designated as
    // the dataSource of the table. These get and set data elements.
- (id)tableView:(NSTableView *)aTableView objectValueForTableColumn:(NSTableColumn *)aTableColumn row:(int)rowIndex;
- (void)tableView:(NSTableView *)aTableView setObjectValue:anObject forTableColumn:(NSTableColumn *)aTableColumn row:(int)rowIndex;
- (int)numberOfRowsInTableView:(NSTableView *)aTableView;
- (void)dealloc;
- (NSMutableArray *)theData;
- (void)setData:(NSMutableArray *)theData;
- (NSView *)viewToPrint;
@end
